Package org.apache.lucene.util.fst

# Enum Class FST.INPUT_TYPE

java.lang.Object
java.lang.Enum<FST.INPUT_TYPE>
org.apache.lucene.util.fst.FST.INPUT_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<FST.INPUT_TYPE>`, `Constable`

Enclosing class:
  `FST<T>`

public static enum FST.INPUT_TYPE extends Enum<FST.INPUT_TYPE>
Specifies allowed range of each int input label for this FST.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYTE1`
  `BYTE2`
  `BYTE4`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FST.INPUT_TYPE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FST.INPUT_TYPE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BYTE1

    public static final FST.INPUT_TYPE BYTE1

  - ### BYTE2

    public static final FST.INPUT_TYPE BYTE2

  - ### BYTE4

    public static final FST.INPUT_TYPE BYTE4

- ## Method Details

  - ### values

    public static FST.INPUT_TYPE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FST.INPUT_TYPE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null